# Uses of Interface
com.opensymphony.sitemesh.SiteMeshContext

Packages that use SiteMeshContext
Package
Description
com.opensymphony.sitemesh
com.opensymphony.sitemesh.compatability
com.opensymphony.sitemesh.webapp
com.opensymphony.sitemesh.webapp.decorator

## Uses of SiteMeshContext in com.opensymphony.sitemesh

Methods in com.opensymphony.sitemesh with parameters of type SiteMeshContext
Modifier and Type
Method
Description
`Content`
ContentProcessor.`build(char[] data, SiteMeshContext context)`
`boolean`
ContentProcessor.`handles(SiteMeshContext context)`
`void`
Decorator.`render(Content content, SiteMeshContext context)`
`Decorator`
DecoratorSelector.`selectDecorator(Content content, SiteMeshContext context)`

## Uses of SiteMeshContext in com.opensymphony.sitemesh.compatability

Methods in com.opensymphony.sitemesh.compatability with parameters of type SiteMeshContext
Modifier and Type
Method
Description
`Content`
PageParser2ContentProcessor.`build(char[] data, SiteMeshContext context)`
`boolean`
PageParser2ContentProcessor.`handles(SiteMeshContext context)`
`Decorator`
DecoratorMapper2DecoratorSelector.`selectDecorator(Content content, SiteMeshContext context)`

## Uses of SiteMeshContext in com.opensymphony.sitemesh.webapp

Classes in com.opensymphony.sitemesh.webapp that implement SiteMeshContext
Modifier and Type
Class
Description
`class`
`SiteMeshWebAppContext`

## Uses of SiteMeshContext in com.opensymphony.sitemesh.webapp.decorator

Methods in com.opensymphony.sitemesh.webapp.decorator with parameters of type SiteMeshContext
Modifier and Type
Method
Description
`void`
BaseWebAppDecorator.`render(Content content, SiteMeshContext context)`